Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface DatastoreIdentityMetadata

All Superinterfaces:
  Metadata

    public interface DatastoreIdentityMetadata

extends Metadata

Represents the datastore identity of a class.

Since:
  3.0

Method Summary
`java.lang.String` | `getColumn()` Accessor for the datastore identity column name
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the datastore identity.
`java.lang.String` | `getCustomStrategy()` Accessor for the custom strategy (overriding "strategy").
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this datastore identity.
`java.lang.String` | `getSequence()` Accessor for the sequence key (when using "sequence" strategy)
`IdGeneratorStrategy` | `getStrategy()` Accessor for the identity generation strategy.
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this datastore identity.
`DatastoreIdentityMetadata` | `setColumn(java.lang.String column)` Method to set the datastore identity column name.
`DatastoreIdentityMetadata` | `setCustomStrategy(java.lang.String strategy)` Method to set the custom identity generation strategy.
`DatastoreIdentityMetadata` | `setSequence(java.lang.String seq)` Method to set the sequence key (when using "sequence" strategy)
`DatastoreIdentityMetadata` | `setStrategy(IdGeneratorStrategy strategy)` Method to set the identity generation strategy.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setColumn

    DatastoreIdentityMetadata setColumn(java.lang.String column)

  Method to set the datastore identity column name.

  Parameters:
    `column` - Name of the datastore identity column

### getColumn

    java.lang.String getColumn()

  Accessor for the datastore identity column name

  Returns:
    The column name

### setStrategy

    DatastoreIdentityMetadata setStrategy(IdGeneratorStrategy strategy)

  Method to set the identity generation strategy.

  Parameters:
    `strategy` - The strategy

### getStrategy

    IdGeneratorStrategy getStrategy()

  Accessor for the identity generation strategy.

  Returns:
    The strategy

### setCustomStrategy

    DatastoreIdentityMetadata setCustomStrategy(java.lang.String strategy)

  Method to set the custom identity generation strategy.

  Parameters:
    `strategy` - The strategy

### getCustomStrategy

    java.lang.String getCustomStrategy()

  Accessor for the custom strategy (overriding "strategy").

  Returns:
    The strategy

### setSequence

    DatastoreIdentityMetadata setSequence(java.lang.String seq)

  Method to set the sequence key (when using "sequence" strategy)

  Parameters:
    `seq` - Sequence key

### getSequence

    java.lang.String getSequence()

  Accessor for the sequence key (when using "sequence" strategy)

  Returns:
    The sequence

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the datastore identity.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this datastore identity.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this datastore identity.

  Returns:
    The number of columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.